{{!-- Service Vue "$app" documentation --}}
{{#if (hasAppDoc) ~}}
{{#identifier id="$app" ~}}
<a name="app"></a>

#### Prototype $app property

On registering, the service will inject properties to \`Core.context.vue.root.prototype.app\`.

> Properties will be shared by all components under \`vm.$app\` where \`vm\` is the component instance.

{{>member-index}}
{{!-- User settings first --}}
{{#identifier id="$app.userSettings" ~}}
<a name="app-usersettings"></a>

##### User settings

Service will define the following user settings keys:

{{!-- Increment depth manually --}}
{{depthIncrement~}}{{depthIncrement~}}{{depthIncrement~}}{{depthIncrement~}}
{{#identifiers memberof="$app.userSettings" ~}}
{{>docs~}}
{{/identifiers}}
{{/identifier~}}
{{!-- Then, other --}}
##### Others

{{#identifiers memberof="$app" -id="$app.userSettings" ~}}
{{>docs~}}
{{/identifiers~}}
{{!-- Decrement depth manually --}}
{{depthDecrement~}}{{depthDecrement~}}{{depthDecrement~}}{{depthDecrement~}}
{{/identifier~}}
{{/if~}}